Package org.h2.result

# Class RowFactory.DefaultRowFactory

java.lang.Object
org.h2.result.RowFactory
org.h2.result.RowFactory.DefaultRowFactory

Enclosing class:
  `RowFactory`

public static final class RowFactory.DefaultRowFactory extends RowFactory
Default implementation of row factory.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.h2.result.RowFactory

`RowFactory.DefaultRowFactory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RowFactory.DefaultRowFactory`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`SearchRow`
`createRow()`
Create new row.
`Row`
`createRow(Value[] data, int memory)`
Create a new row.
`RowFactory`
`createRowFactory(CastDataProvider provider, CompareMode compareMode, DataHandler handler, int[] sortTypes, int[] indexes, TypeInfo[] columnTypes, int columnCount, boolean storeKeys)`
Create a new row factory.
`RowFactory`
`createRowFactory(CastDataProvider provider, CompareMode compareMode, DataHandler handler, Typed[] columns, IndexColumn[] indexColumns, boolean storeKeys)`
Create a new row factory.
`int`
`getColumnCount()`
`TypeInfo[]`
`getColumnTypes()`
`int[]`
`getIndexes()`
`RowDataType`
`getRowDataType()`

### Methods inherited from class org.h2.result.RowFactory

`getDefaultRowFactory, getRowFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final RowFactory.DefaultRowFactory INSTANCE

## Method Details

### createRowFactory

public RowFactory createRowFactory(CastDataProvider provider, CompareMode compareMode, DataHandler handler, Typed[] columns, IndexColumn[] indexColumns, boolean storeKeys)
Description copied from class: `RowFactory`
Create a new row factory.

Overrides:
  `createRowFactory` in class `RowFactory`
Parameters:
  `provider` - the cast provider
  `compareMode` - the compare mode
  `handler` - the data handler
  `columns` - the list of columns
  `indexColumns` - the list of index columns
  `storeKeys` - whether row keys are stored
Returns:
  the (possibly new) row factory

### createRowFactory

public RowFactory createRowFactory(CastDataProvider provider, CompareMode compareMode, DataHandler handler, int[] sortTypes, int[] indexes, TypeInfo[] columnTypes, int columnCount, boolean storeKeys)
Create a new row factory.

Parameters:
  `provider` - the cast provider
  `compareMode` - the compare mode
  `handler` - the data handler
  `sortTypes` - the sort types
  `indexes` - the list of indexed columns
  `columnTypes` - the list of column data type information
  `columnCount` - the number of columns
  `storeKeys` - whether row keys are stored
Returns:
  the (possibly new) row factory

### createRow

public Row createRow(Value[] data, int memory)
Description copied from class: `RowFactory`
Create a new row.

Specified by:
  `createRow` in class `RowFactory`
Parameters:
  `data` - the values
  `memory` - the estimated memory usage in bytes
Returns:
  the created row

### createRow

public SearchRow createRow()
Description copied from class: `RowFactory`
Create new row.

Specified by:
  `createRow` in class `RowFactory`
Returns:
  the created row

### getRowDataType

public RowDataType getRowDataType()

Specified by:
  `getRowDataType` in class `RowFactory`

### getIndexes

public int[] getIndexes()

Specified by:
  `getIndexes` in class `RowFactory`

### getColumnTypes

public TypeInfo[] getColumnTypes()

Specified by:
  `getColumnTypes` in class `RowFactory`

### getColumnCount

public int getColumnCount()

Specified by:
  `getColumnCount` in class `RowFactory`